package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 动力箱柜电气设备对象 adm_box_elec_eqpt
 * 
 * @author ruoyi
 * @date 2024-08-20
 */
public class PowerBoxElecEqpt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 箱柜代码 */
    @Excel(name = "箱柜代码")
    private String boxCode;

    /** 电气编码 */
    @Excel(name = "电气编码")
    private String eqptCode;

    /** 外部系统编码 */
    @Excel(name = "外部系统编码")
    private String extEqptCode;

    private String eqptType;

    @Excel(name = "电气件名称")
    private String eqptName;

    /** 电气型号 */
    @Excel(name = "电气型号")
    private String eqptSpec;

    /** 额定电压 */
    @Excel(name = "额定电压")
    private Long ratedVoltage;

    /** 额定电流 */
    @Excel(name = "额定电流")
    private Long ratedCurrent;

    /** 祖籍列表 */
    private String ancestors;

    /** 上级电气件 */
    @Excel(name = "上级电气件")
    private String parentEqpt;

    /** 下级支路 */
    @Excel(name = "下级支路")
    private String subCircuit;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBoxCode() {
        return boxCode;
    }

    public void setBoxCode(String boxCode) {
        this.boxCode = boxCode;
    }

    public String getEqptCode() {
        return eqptCode;
    }

    public void setEqptCode(String eqptCode) {
        this.eqptCode = eqptCode;
    }

    public String getExtEqptCode() {
        return extEqptCode;
    }

    public void setExtEqptCode(String extEqptCode) {
        this.extEqptCode = extEqptCode;
    }

    public String getEqptType() {
        return eqptType;
    }

    public void setEqptType(String eqptType) {
        this.eqptType = eqptType;
    }

    public String getEqptName() {
        return eqptName;
    }

    public void setEqptName(String eqptName) {
        this.eqptName = eqptName;
    }

    public String getEqptSpec() {
        return eqptSpec;
    }

    public void setEqptSpec(String eqptSpec) {
        this.eqptSpec = eqptSpec;
    }

    public Long getRatedVoltage() {
        return ratedVoltage;
    }

    public void setRatedVoltage(Long ratedVoltage) {
        this.ratedVoltage = ratedVoltage;
    }

    public Long getRatedCurrent() {
        return ratedCurrent;
    }

    public void setRatedCurrent(Long ratedCurrent) {
        this.ratedCurrent = ratedCurrent;
    }

    public String getParentEqpt() {
        return parentEqpt;
    }

    public void setParentEqpt(String parentEqpt) {
        this.parentEqpt = parentEqpt;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public String getSubCircuit() {
        return subCircuit;
    }

    public void setSubCircuit(String subCircuit) {
        this.subCircuit = subCircuit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("boxCode", getBoxCode())
            .append("eqptCode", getEqptCode())
            .append("extEqptCode", getExtEqptCode())
            .append("eqptType", getEqptType())
            .append("eqptSpec", getEqptSpec())
            .append("ratedVoltage", getRatedVoltage())
            .append("ratedCurrent", getRatedCurrent())
            .append("parentEqpt", getParentEqpt())
            .append("ancestors", getAncestors())
            .append("subCircuit", getSubCircuit())
            .toString();
    }
}
